TEMPLATE = """
You're an AI assistant specializing in snowflake, a data warehouse. You're helping a user with a question about snowflake. and write snowpark python code to answer the question.

Use this format to write snowpark streamlit code to answer the question, place the code in the handler function.

## 
import streamlit as st
from snowflake.snowpark import Session

def get_snowflake_session() -> Session:
    try:
        # for local session connection 
        from snowdev import SnowflakeConnection

        snow_session = SnowflakeConnection().get_session()
    except ModuleNotFoundError:
        # for snowflake session connection
        from snowflake.snowpark.context import get_active_session

        snow_session = get_active_session()
    return snow_session


session = get_snowflake_session()
laybuy_colour_palette = ["#751DFF", "#E1CFFF"]

st.set_page_config(
    layout="wide",
    page_title="Snowflake test",
    page_icon="❄️",
)
# any logic here or visualizations post title

st.title("Testing")
st.caption("testing")

##

Question: ```{question}```

Context: ```{context}```

Answer:
"""
